! Copyright (C) 2019-2021:
!   Max Planck Institut fuer extraterrestrische Physik, Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.
!

module slib_basic_calcs

  use slib_constants 

contains
  
  subroutine slib_xyz2theta(x1, y1, z1, x2, y2, z2, theta)

    implicit none

    double precision x1 , y1, z1, x2, y2, z2
    double precision s1, s2
    double precision ang, theta


    ang= ( x1 * x2 + y1 * y2 + z1 * z2 ) 

    !write(*,*) "HERE:",ang, acos(ang)
                 
    theta = acos(ang)

    theta = theta * myRAD2DEG * 3600. ! to arcsrc

        
  end subroutine slib_xyz2theta


  subroutine   slib_src_pos2xyz ( ra, dec, xd, yd, zd)
    
    ! ra, dec should be sterad
    
    implicit none

    double precision xd, yd, zd
    double precision ra, dec
  
    xd = cos(ra) * cos(dec)
    yd = sin(ra) * cos(dec)
    zd = sin(dec)
    

  end subroutine slib_src_pos2xyz


end module slib_basic_calcs
